## UIM Refresh indication UIM Refresh indication |

## Functions

QmiIndicationUimRefreshOutput * | qmi_indication_uim_refresh_output_ref ()
void | qmi_indication_uim_refresh_output_unref ()
gboolean | qmi_indication_uim_refresh_output_get_event ()

## Types and Values

| QmiIndicationUimRefreshOutput
| QmiIndicationUimRefreshOutputEventFilesElement

## Object Hierarchy

        GBoxed
        ╰── QmiIndicationUimRefreshOutput

## Description

## Functions

### qmi_indication_uim_refresh_output_ref ()

    QmiIndicationUimRefreshOutput *
    qmi_indication_uim_refresh_output_ref (QmiIndicationUimRefreshOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiIndicationUimRefreshOutput. |

#### Returns

the new reference to `self` .

Since: 1.28

### qmi_indication_uim_refresh_output_unref ()

    void
    qmi_indication_uim_refresh_output_unref
                                   (QmiIndicationUimRefreshOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiIndicationUimRefreshOutput. |

Since: 1.28

### qmi_indication_uim_refresh_output_get_event ()

    gboolean
    qmi_indication_uim_refresh_output_get_event
                                   (QmiIndicationUimRefreshOutput *self,
                                    QmiUimRefreshStage *value_event_stage,
                                    QmiUimRefreshMode *value_event_mode,
                                    QmiUimSessionType *value_event_session_type,
                                    GArray **value_event_application_identifier,
                                    GArray **value_event_files,
                                    GError **error);

Get the 'Event' field from `self` .

#### Parameters

self | a QmiIndicationUimRefreshOutput. |
value_event_stage | a placeholder for the output QmiUimRefreshStage, or `NULL` if not required. | [out]
value_event_mode | a placeholder for the output QmiUimRefreshMode, or `NULL` if not required. | [out]
value_event_session_type | a placeholder for the output QmiUimSessionType, or `NULL` if not required. | [out]
value_event_application_identifier | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][element-type guint8][transfer none]
value_event_files | a placeholder for the output GArray of QmiIndicationUimRefreshOutputEventFilesElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][element-type QmiIndicationUimRefreshOutputEventFilesElement][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.28

## Types and Values

### QmiIndicationUimRefreshOutput

    typedef struct _QmiIndicationUimRefreshOutput QmiIndicationUimRefreshOutput;

The QmiIndicationUimRefreshOutput structure contains private data and should only be accessed using the provided API.

Since: 1.28

### QmiIndicationUimRefreshOutputEventFilesElement

    typedef struct {
        guint16 file_id;
        GArray *path;
    } QmiIndicationUimRefreshOutputEventFilesElement;

A QmiIndicationUimRefreshOutputEventFilesElement struct.

#### Members

guint16 `file_id`; | a guint16. |
GArray *`path`; | a GArray of guint8 elements. |

Since: 1.28